fsg_model_s Struct Reference

Word level FSG definition. More...

`#include <fsg_model.h>`

## Data Fields

int | refcount
| Reference count. More...
char * | name
| A unique string identifier for this FSG.
int32 | n_word
| Number of unique words in this FSG.
int32 | n_word_alloc
| Number of words allocated in vocab.
char ** | vocab
| Vocabulary for this FSG. More...
bitvec_t * | silwords
| Indicates which words are silence/fillers. More...
bitvec_t * | altwords
| Indicates which words are pronunciation alternates. More...
logmath_t * | lmath
| Pointer to log math computation object. More...
int32 | n_state
| number of states in FSG
int32 | start_state
| Must be in the range [0..n_state-1].
int32 | final_state
| Must be in the range [0..n_state-1].
float32 | lw
| Language weight that's been applied to transition logprobs.
trans_list_t * | trans
| Transitions out of each state, if any. More...
listelem_alloc_t * | link_alloc
| Allocator for FSG links. More...

## Detailed Description

Word level FSG definition.

States are simply integers 0..n_state-1. A transition emits a word and has a given probability of being taken. There can also be null or epsilon transitions, with no associated emitted word.

Definition at line 91 of file fsg_model.h.

## Field Documentation

bitvec_t* fsg_model_s::altwords

Indicates which words are pronunciation alternates.

Definition at line 98 of file fsg_model.h.

listelem_alloc_t* fsg_model_s::link_alloc

Allocator for FSG links.

Definition at line 106 of file fsg_model.h.

logmath_t* fsg_model_s::lmath

Pointer to log math computation object.

Definition at line 99 of file fsg_model.h.

int fsg_model_s::refcount

Reference count.

Definition at line 92 of file fsg_model.h.

bitvec_t* fsg_model_s::silwords

Indicates which words are silence/fillers.

Definition at line 97 of file fsg_model.h.

trans_list_t* fsg_model_s::trans

Transitions out of each state, if any.

Definition at line 105 of file fsg_model.h.

char** fsg_model_s::vocab

Vocabulary for this FSG.

Definition at line 96 of file fsg_model.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/fsg_model.h